## org.apache.mahout.cf.taste.hadoop.item
Class UserVectorSplitterMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<VarLongWritable,VectorWritable,VarIntWritable,VectorOrPrefWritable>
          org.apache.mahout.cf.taste.hadoop.item.UserVectorSplitterMapper

    public final class UserVectorSplitterMapper

extends org.apache.hadoop.mapreduce.Mapper<VarLongWritable,VectorWritable,VarIntWritable,VectorOrPrefWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`UserVectorSplitterMapper()`

Method Summary
`protected void` `map(VarLongWritable key, VectorWritable value, org.apache.hadoop.mapreduce.Mapper.Context context)`
`protected void` `setup(org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserVectorSplitterMapper

    public UserVectorSplitterMapper()

Method Detail

### setup

    protected void setup(org.apache.hadoop.mapreduce.Mapper.Context context)
                  throws IOException

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Mapper<VarLongWritable,VectorWritable,VarIntWritable,VectorOrPrefWritable>`
  Throws:
    `IOException`

### map

    protected void map(VarLongWritable key,
                       VectorWritable value,
                       org.apache.hadoop.mapreduce.Mapper.Context context)
                throws IOException,
                       InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<VarLongWritable,VectorWritable,VarIntWritable,VectorOrPrefWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.